Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.cookies
Class ConnectionCookie.Event

    java.lang.Object
      java.util.EventObject
          org.openide.cookies.ConnectionCookie.Event

All Implemented Interfaces:
  Serializable

Enclosing interface:
  ConnectionCookie

    public static class ConnectionCookie.Event

extends EventObject

Event that is fired to listeners.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ConnectionCookie.Event(Node n, ConnectionCookie.Type t)`

Method Summary
`Node` | `getNode()` Getter for the node that produced the action.
`ConnectionCookie.Type` | `getType()` Getter for the type of the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConnectionCookie.Event

    public ConnectionCookie.Event(Node n,
                                  ConnectionCookie.Type t)

Parameters:
  `n` - the node that produced the action
  `t` - type of the event

Method Detail

### getNode

    public Node getNode()

  Getter for the node that produced the action. The node can be used to obtain additional information like cookies, etc.

  Returns:
    the node

### getType

    public ConnectionCookie.Type getType()

  Getter for the type of the event. There can be more types of events and the listener can compare if two events are of the same type by using type1.equals (type2)

  Returns:
    type of the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.nodes 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.